package ru.otus.mobile.component;

import com.google.inject.Inject;
import ru.otus.mobile.config.MobileConfig;

public final class AlertDialogComponent extends BaseMobileComponent {
    @Inject
    public AlertDialogComponent(MobileConfig config) {
        super(config);
    }

    public void acceptIfVisible() {
        if (exists("android:id/button1")) {
            tap("android:id/button1");
            return;
        }
        if (byText("OK").exists()) {
            byText("OK").click();
            return;
        }
        if (byText("ОК").exists()) {
            byText("ОК").click();
        }
    }
}
